
Figure - Bug #117906
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT3】【桌面】屏保状态下收到微信语音电话，自动退出屏保页动画显示异常
2023-05-12 15:54 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-12

Priority: Normal Due date: 2023-05-19

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-16

Test Type: Release Test Root cause: AOSP 原生在此场景下的动画如此。

Description

【测试步骤】

屏保状态下，收到微信语音电话

【预期结果】

自动退出屏保，弹出微信语音电话消息

【测试结果】

自动退出屏保动画显示异常

History

#1 - 2023-05-15 09:58 - CD FW-廖涛

- Due date set to 2023-05-19

#2 - 2023-05-16 16:47 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-16

- Root cause set to AOSP 原生在此场景下的动画如此。

■ Current conclusion

已处理，代码已入库。

■ My analysis

AOSP 原生在此场景下的动画如此。已调整为和手动关闭屏保的动画一致。

■ Next action

测试验证。

#3 - 2023-05-16 16:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

2025-07-04 1/2



200376 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF: ScreenSaver: Fix exit animation problem when receive wechat voice call.TC-RID: 0301-0300601IssueID: TS-R-BUG-117906Change-Id:

I4889ef421b32350071a709f35cc2917837c407dc

#4 - 2023-05-17 18:23 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305171038

#5 - 2023-05-17 18:23 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

屏保状态收到微信语音电话退出屏保动画显示异常.mp4 4.7 MB 2023-05-12 物联网测试组_CDTS  唐霞 
